Subject: RE: [Dime] Acct-Application-Id value for NASREQ

From: "Glen Zorn \(gwz\)" <[email-masked]>
Date: Sat, 23 Dec 2006 04:02:24 -0800

Tolga Asveren <mailto:[email-masked]> supposedly scribbled on
Friday, December 22, 2006 1:01 PM:

...

> Actually after thinking a bit more about the problem Glen mentioned:
> a) What I suggested won't work unless the authorization and
> accounting are done on the same node/application instance, because
> the message header would contain app-id of NASREQ causing the
> requests to be routed to the NASREQ application. 

I think that you are right, in order to route AA & Accounting servers
with anything like efficiency the Acct-Application-Id & Application-Id
would have to be distinct.

> OTOH, I am not sure
> whether this is already the intent. I don't know whether it is
> feasible to have a generic accounting application, which can handle
> accounting for different purposes. Each application will add
> service-specific AVPs to ACR for accounting purposes, the accounting
> application needs to know how to make use of the data present in
> those AVPs, which IMO would make a generic accounting server hard to
> implement.

I think the idea is that accounting data would always just be written to
a log.  If that is the case, then the requirements for the understanding
of AVPs should be minimal, right?  Basically just the ability to parse
AVPs, it seems.  Since Diameter (unlike RADIUS) doesn't use accounting
messages for things like error reporting that may require immediate
action, this doesn't seem like an unrealistic assumption.  However, this
still leaves us unable to easily distinguish between the applications or
services (e.g., NASREQ, MobileIP, etc.) that generated the accounting
records. 
          
...

_______________________________________________
DiME mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/dime

---

From: "Tolga Asveren" <[email-masked]>
Date: Tue, 26 Dec 2006 14:47:47 -0500

With the assumption of a single generic accounting application, using
Acct-Application-Id to identify the accounted application makes more sense
to me now. This information could be used by some other entity, which needs
to analyze the logs.

   Thanks,
   Tolga

> -----Original Message-----
> From: Glen Zorn (gwz) [mailto:[email-masked]]
> Sent: Saturday, December 23, 2006 7:02 AM
> To: Tolga Asveren
> Cc: [email-masked]
> Subject: RE: [Dime] Acct-Application-Id value for NASREQ
>
>